package com.bweb.model;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 导入优惠卷包赠送用户模型
 */
public class ImportGiveAwayModel {

    @ExcelProperty("用户手机号")
    private String phone;

    // 数据序号
    private Integer serialNum;

    // 注册状态 true：已注册  false: 未注册
    private Boolean registerStatus;

    // 错误状态 true: 有错误  false：无错误
    private Boolean errorStatus;

    // 错误消息
    private String errorMsg;

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getSerialNum() {
        return serialNum;
    }

    public void setSerialNum(Integer serialNum) {
        this.serialNum = serialNum;
    }

    public Boolean getRegisterStatus() {
        return registerStatus;
    }

    public void setRegisterStatus(Boolean registerStatus) {
        this.registerStatus = registerStatus;
    }

    public Boolean getErrorStatus() {
        return errorStatus;
    }

    public void setErrorStatus(Boolean errorStatus) {
        this.errorStatus = errorStatus;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
